Skip to main content
`Ctrl`+`K`
scipy.fft.

# ihfft2

scipy.fft.ihfft2(x, s=None, axes=(-2, -1), norm=None, overwrite_x=False, workers=None, *, plan=None)

  Compute the 2-D inverse FFT of a real spectrum.

  Parameters:
    x array_like

      The input array

    s sequence of ints, optional

      Shape of the real input to the inverse FFT.

    axes sequence of ints, optional

      The axes over which to compute the inverse fft. Default is the last two axes.

    norm{“backward”, “ortho”, “forward”}, optional

      Normalization mode (see `fft`). Default is “backward”.

    overwrite_x bool, optional

      If True, the contents of x can be destroyed; the default is False. See `fft` for more details.

    workers int, optional

      Maximum number of workers to use for parallel computation. If negative, the value wraps around from `os.cpu_count()`. See `fft` for more details.

    plan object, optional

      This argument is reserved for passing in a precomputed plan provided by downstream FFT vendors. It is currently not used in SciPy.

      Added in version 1.5.0.

  Returns:
    out ndarray

      The result of the inverse real 2-D FFT.

  See also

  `ihfftn`

    Compute the inverse of the N-D FFT of Hermitian input.

  Notes

  This is really `ihfftn` with different defaults. For more details see `ihfftn`.

  Array API Standard Support

  `ihfft2` has experimental support for Python Array API Standard compatible backends in addition to NumPy. Please consider testing these features by setting an environment variable `SCIPY_ARRAY_API=1` and providing CuPy, PyTorch, JAX, or Dask arrays as array arguments. The following combinations of backend and device (or other capability) are supported.

  Library | CPU | GPU
  --- | --- | ---
  NumPy | ✅ | n/a
  CuPy | n/a | ✅
  PyTorch | ✅ | ✅
  JAX | ✅ | ✅
  Dask | ⚠️ computes graph | n/a

  > See Support for the array API standard for more information.